Loading...
Searching...
No Matches
gx_engine::GxSeqSettings Class Reference

`#include <gx_internal_plugins.h>`

## Public Member Functions

| GxSeqSettings ()
GxSeqSettings & | operator= (GxSeqSettings const &seqset)
bool | operator== (const GxSeqSettings &seqset) const
const std::vector< int > & | getseqline () const
void | setseqline (const std::vector< int > &seq)
void | readJSON (gx_system::JsonParser &jp)
void | writeJSON (gx_system::JsonWriter &w) const

## Private Member Functions

void | read_seqline (gx_system::JsonParser &jp)

## Private Attributes

std::vector< int > | seqline

## Friends

class | SequencerAdapter
class | ParameterV< GxSeqSettings >

## Detailed Description

Definition at line 226 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## GxSeqSettings()

gx_engine::GxSeqSettings::GxSeqSettings | ( |  | ) |

Referenced by operator=(), operator==(), and ParameterV< GxSeqSettings >.

## Member Function Documentation

## getseqline()

const std::vector< int > & gx_engine::GxSeqSettings::getseqline | ( |  | ) | const

inline

Definition at line 238 of file gx_internal_plugins.h.

## operator=()

GxSeqSettings & gx_engine::GxSeqSettings::operator= | ( | GxSeqSettings const & | seqset | ) |

## operator==()

bool gx_engine::GxSeqSettings::operator== | ( | const GxSeqSettings & | seqset | ) | const

## read_seqline()

void gx_engine::GxSeqSettings::read_seqline | ( | gx_system::JsonParser & | jp | ) |

private

## readJSON()

void gx_engine::GxSeqSettings::readJSON | ( | gx_system::JsonParser & | jp | ) |

## setseqline()

void gx_engine::GxSeqSettings::setseqline | ( | const std::vector< int > & | seq | ) |

inline

Definition at line 240 of file gx_internal_plugins.h.

## writeJSON()

void gx_engine::GxSeqSettings::writeJSON | ( | gx_system::JsonWriter & | w | ) | const

## Friends And Related Symbol Documentation

## ParameterV< GxSeqSettings >

friend class ParameterV< GxSeqSettings >

friend

Definition at line 231 of file gx_internal_plugins.h.

## SequencerAdapter

friend class SequencerAdapter

friend

Definition at line 231 of file gx_internal_plugins.h.

Referenced by ParameterV< GxSeqSettings >.

## Member Data Documentation

## seqline

std::vector<int> gx_engine::GxSeqSettings::seqline

private

Definition at line 229 of file gx_internal_plugins.h.

Referenced by getseqline(), and setseqline().

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h